Get a job
Returns one job with its resolved scheduling settings and job-stage information. The job must belong to the authenticated organization or the request returns not found. The request returns PERMISSION_DENIED when the caller cannot access the job.
curl --request GET \
--url https://api.modernloop.io/v1/jobs/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.modernloop.io/v1/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.modernloop.io/v1/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "job_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>",
"status": "DRAFT",
"confidential": true,
"locations": [
"<string>"
],
"hiring_team": [
{
"role": "HIRING_MANAGER",
"user": {
"id": "usr_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
}
}
],
"ats": {
"type": "GREENHOUSE",
"id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"app_url": "<string>",
"settings": {
"interview_name_setting": {
"is_custom": true,
"show_interview_name": true,
"is_locked": true,
"level": "ORG"
},
"interviewer_info_setting": {
"is_custom": true,
"can_show_info": true,
"can_show_full_name": true,
"can_show_job_title": true,
"can_show_linkedin": true,
"can_show_email": true,
"can_show_profile_picture": true,
"can_show_pronouns": true,
"can_show_bio": true,
"is_locked": true,
"level": "ORG"
},
"recruiting_team_contact_info_setting": {
"is_custom": true,
"show_recruiter": true,
"show_coordinator": true,
"can_show_job_title": true,
"can_show_linkedin": true,
"can_show_profile_picture": true,
"can_show_pronouns": true,
"can_show_bio": true,
"can_show_phone": true,
"is_locked": true,
"level": "ORG"
},
"default_task_queue_id": "que_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"remote_ats_hiring_process": {
"ats_id": "<string>",
"name": "<string>",
"status": "NOT_SET"
},
"locale": "<string>"
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}Authorizations
API tokens are passed as Bearer tokens.
Path Parameters
a job ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.
^(?:job_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$"job_a1b2c3d4e5f64789a1b2c3d4e5f64789"
Response
Success
Canonical job ID (job_ followed by 32 lowercase hexadecimal UUID characters).
^job_[0-9a-f]{32}$"job_a1b2c3d4e5f64789a1b2c3d4e5f64789"
DRAFT, OPEN, CLOSED Show child attributes
Show child attributes
Show child attributes
Show child attributes
ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.
ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.
Link that opens this resource in the ModernLoop app.
Show child attributes
Show child attributes
Was this page helpful?
